package com.ff.base.enums;

import lombok.Getter;


/**
 * 轮播图状态
 *
 * @author shi
 * @date 2024/11/25
 */
@Getter
public enum LoadStatus {
    PENDING_REVIEW(0, "待审核"),
    PENDING_EFFECT(1, "待生效"),
    ACTIVE(2, "生效中"),
    EXPIRED(3, "已过期"),
    CANCELLED(4, "已取消");
    private final Integer code;
    private final String description;

    LoadStatus(Integer code, String description) {
        this.code = code;
        this.description = description;
    }
}